[Gpg4win-commits] r473 - in trunk: . patches/claws-mail-3.0.0-rc2 src

scm-commit@wald.intevation.org scm-commit at wald.intevation.org
Tue Aug 14 14:42:00 CEST 2007


Author: marcus
Date: 2007-08-14 14:41:59 +0200 (Tue, 14 Aug 2007)
New Revision: 473

Added:
   trunk/patches/claws-mail-3.0.0-rc2/04-cvs116.patch
Removed:
   trunk/README.wine
Modified:
   trunk/ChangeLog
   trunk/patches/claws-mail-3.0.0-rc2/03-smime-plugin.patch
   trunk/src/gpg4win.mk.in
Log:
2007-08-14  Marcus Brinkmann  <marcus at g10code.de>

	* patches/claws-mail-3.0.0-rc2/03-smime-plugin.patch: Change
	license string to "GPL3+" to make Claws load it.

	* src/gpg4win.mk: Implement clean-PKG targets to allow rebuilding
	individual packages.


Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2007-08-14 10:12:44 UTC (rev 472)
+++ trunk/ChangeLog	2007-08-14 12:41:59 UTC (rev 473)
@@ -1,3 +1,11 @@
+2007-08-14  Marcus Brinkmann  <marcus at g10code.de>
+
+	* patches/claws-mail-3.0.0-rc2/03-smime-plugin.patch: Change
+	license string to "GPL3+" to make Claws load it.
+
+	* src/gpg4win.mk: Implement clean-PKG targets to allow rebuilding
+	individual packages.
+
 2007-08-14  Werner Koch  <wk at g10code.com>
 
 	* packages/Makefile.am (packages.current.sig, upload): Remove.

Deleted: trunk/README.wine
===================================================================
--- trunk/README.wine	2007-08-14 10:12:44 UTC (rev 472)
+++ trunk/README.wine	2007-08-14 12:41:59 UTC (rev 473)
@@ -1,44 +0,0 @@
-GPG4Win in Wine
-===============
-
-Wine is a windows compatibility layer for free software operating
-systems like GNU/Linux.  GPG4Win can be installed and run in wine,
-with a couple of caveats:
-
-You need to configure wine to mimic Windows 2000 or later (I forgot
-why).  You need to overwrite msvcrt.dll and usp10.dll with the native
-versions (because the builtin version is not complete).
-
-You also need to use the below patch to disable a check in the
-installer that crashes wine.
-
-Have fun,
-Marcus Brinkmann <marcus at g10code.de>
-g10 Code GmbH
-
-Index: src/g4wihelp.nsi
-===================================================================
---- src/g4wihelp.nsi	(revision 303)
-+++ src/g4wihelp.nsi	(working copy)
-@@ -35,13 +35,13 @@
- #FunctionEnd
- 
- Function G4wRunOnce
--  Push $R0
--  StrCpy $R0 "gpg4win"
--  g4wihelp::runonce
--  StrCmp $R0 0 +3
--     MessageBox MB_OK $(T_AlreadyRunning)
--     Abort
--  Pop $R0
-+#  Push $R0
-+#  StrCpy $R0 "gpg4win"
-+#  g4wihelp::runonce
-+#  StrCmp $R0 0 +3
-+#     MessageBox MB_OK $(T_AlreadyRunning)
-+#     Abort
-+#  Pop $R0
- FunctionEnd
- 
- 
-

Modified: trunk/patches/claws-mail-3.0.0-rc2/03-smime-plugin.patch
===================================================================
--- trunk/patches/claws-mail-3.0.0-rc2/03-smime-plugin.patch	2007-08-14 10:12:44 UTC (rev 472)
+++ trunk/patches/claws-mail-3.0.0-rc2/03-smime-plugin.patch	2007-08-14 12:41:59 UTC (rev 473)
@@ -7,6 +7,10 @@
 	* Add the S/MIME 0.7.1 plugin from claws-mail-extra-plugins-2.10.0
 	straight to the source.  This makes building it so much simpler.
 
+2007-08-14  Marcus Brinkmann  <marcus at g10code.de>
+
+	* We need to bump the license string to "GPL3+" to make it load.
+
 diff -rupN claws-mail-3.0.0-rc2-after-02/configure.ac claws-mail-3.0.0-rc2/configure.ac
 --- claws-mail-3.0.0-rc2-after-02/configure.ac	2007-08-10 12:59:16.000000000 +0200
 +++ claws-mail-3.0.0-rc2/configure.ac	2007-08-10 16:34:59.000000000 +0200
@@ -253,7 +257,7 @@
 +
 +const gchar *plugin_licence(void)
 +{
-+	return "GPL";
++	return "GPL3+";
 +}
 +
 +const gchar *plugin_version(void)

Added: trunk/patches/claws-mail-3.0.0-rc2/04-cvs116.patch
===================================================================
--- trunk/patches/claws-mail-3.0.0-rc2/04-cvs116.patch	2007-08-14 10:12:44 UTC (rev 472)
+++ trunk/patches/claws-mail-3.0.0-rc2/04-cvs116.patch	2007-08-14 12:41:59 UTC (rev 473)
@@ -0,0 +1,164 @@
+#! /bin/sh
+patch -p1 -f $* < $0
+exit $?
+
+Marcus Brinkmann:
+
+	* src/msgcache.c: Release hMapping.
+
+Cherry picking some changes since the 3.0.0-rc2 release candidate:
+
+2007-08-12 [wwp]	2.10.0cvs116
+
+	* src/plugins/pgpcore/prefs_gpg.c
+		Don't try to unset a GPG_AGENT_INFO that was not
+		set (and don't use a NULL string in Windows, it was
+		crashing with --debug if GPG_AGENT_INFO was not set).
+
+2007-08-12 [wwp]	2.10.0cvs115
+
+	* src/privacy.h
+		Make gcc type-check arguments passed to privacy_set_error().
+
+2007-08-12 [ticho]	2.10.0cvs114
+
+	* src/prefs_folder_item.c
+		Make sure that folder default account combobox always has some
+		account preselected.
+	* src/gtk/combobox.c
+		Handle empty combobox gracefully (warning instead of crash).
+
+2007-08-12 [ticho]	2.10.0cvs114
+
+	* src/prefs_folder_item.c
+		Make sure that folder default account combobox is not empty.
+	* src/gtk/combobox.c
+		Handle empty combobox gracefully (warning instead of crash).
+
+
+diff -rup claws-mail-3.0.0-rc2/src/gtk/combobox.c claws-mail-2.10.0cvs116/src/gtk/combobox.c
+--- claws-mail-3.0.0-rc2/src/gtk/combobox.c	2007-08-10 12:58:28.000000000 +0200
++++ claws-mail-2.10.0cvs116/src/gtk/combobox.c	2007-08-12 17:14:05.000000000 +0200
+@@ -74,7 +74,7 @@ gint combobox_get_active_data(GtkComboBo
+ 
+ 	g_return_val_if_fail(combobox != NULL, -1);
+ 
+-	gtk_combo_box_get_active_iter(combobox, &iter);
++	g_return_val_if_fail(gtk_combo_box_get_active_iter(combobox, &iter), -1);
+ 
+ 	model = gtk_combo_box_get_model(combobox);
+ 
+diff -rup claws-mail-3.0.0-rc2/src/plugins/pgpcore/prefs_gpg.c claws-mail-2.10.0cvs116/src/plugins/pgpcore/prefs_gpg.c
+--- claws-mail-3.0.0-rc2/src/plugins/pgpcore/prefs_gpg.c	2007-08-10 12:58:34.000000000 +0200
++++ claws-mail-2.10.0cvs116/src/plugins/pgpcore/prefs_gpg.c	2007-08-13 06:07:37.000000000 +0200
+@@ -530,9 +530,13 @@ void prefs_gpg_enable_agent(gboolean ena
+ 			debug_print("Can't enable gpg agent (no GPG_AGENT_INFO)\n");
+ 		}
+ 	} else {
++		if (saved_gpg_agent_info) {
+ 			g_unsetenv("GPG_AGENT_INFO");
+ 			debug_print("unset GPG_AGENT_INFO=%s\n", 
+ 				saved_gpg_agent_info);
++		} else {
++			debug_print("Can't disable gpg agent (no GPG_AGENT_INFO)\n");
++		}
+ 	}
+ }
+ 
+diff -rup claws-mail-3.0.0-rc2/src/prefs_folder_item.c claws-mail-2.10.0cvs116/src/prefs_folder_item.c
+--- claws-mail-3.0.0-rc2/src/prefs_folder_item.c	2007-08-10 12:58:30.000000000 +0200
++++ claws-mail-2.10.0cvs116/src/prefs_folder_item.c	2007-08-12 17:14:03.000000000 +0200
+@@ -721,6 +721,7 @@ static void prefs_folder_item_compose_cr
+ 	GList *cur_ac;
+ 	GList *account_list;
+ 	PrefsAccount *ac_prefs;
++	gboolean default_account_set = FALSE;
+ 
+ 	page->item	   = item;
+ 
+@@ -857,11 +858,20 @@ static void prefs_folder_item_compose_cr
+ 					ac_prefs->account_id);
+ 
+ 		/* Set combobox to current default account id */
+-		if (ac_prefs->account_id == item->prefs->default_account)
++		if (ac_prefs->account_id == item->prefs->default_account) {
+ 			combobox_select_by_data(GTK_COMBO_BOX(optmenu_default_account),
+ 					ac_prefs->account_id);
++			default_account_set = TRUE;
++		}
+ 	}
+ 
++	/* If nothing has been set (folder doesn't have a default account set),
++	 * pre-select global default account, since that's what actually used
++	 * anyway. We don't want nothing selected in combobox. */
++	if( !default_account_set )
++		combobox_select_by_data(GTK_COMBO_BOX(optmenu_default_account),
++				account_get_default()->account_id);
++
+ 	SET_TOGGLE_SENSITIVITY(checkbtn_enable_default_account, optmenu_default_account);
+ 
+ 	default_account_rec_checkbtn = gtk_check_button_new();
+diff -rup claws-mail-3.0.0-rc2/src/privacy.h claws-mail-2.10.0cvs116/src/privacy.h
+--- claws-mail-3.0.0-rc2/src/privacy.h	2007-08-10 12:58:29.000000000 +0200
++++ claws-mail-2.10.0cvs116/src/privacy.h	2007-08-12 17:14:03.000000000 +0200
+@@ -66,7 +66,7 @@ gboolean privacy_encrypt			(const gchar 
+ 						 MimeInfo     *mimeinfo,
+ 						 const gchar  *encdata);
+ 
+-void privacy_set_error				(const gchar *format, ...);
++void privacy_set_error				(const gchar *format, ...) G_GNUC_PRINTF(1, 2);
+ void privacy_reset_error				(void);
+ gboolean privacy_peek_error				(void);
+ const gchar *privacy_get_error			(void);
+
+
+--- claws-mail-old/src/msgcache.c	2007-08-13 15:42:39.000000000 +0200
++++ claws-mail/src/msgcache.c	2007-08-13 15:43:26.000000000 +0200
+@@ -648,6 +648,7 @@
+ 			if (!hMapping)
+ 				goto w32_fail;
+ 			cache_data = (unsigned char *)MapViewOfFile(hMapping, FILE_MAP_COPY, 0, 0, 0);
++			CloseHandle (hMapping);
+ 		w32_fail:
+ 			;
+ #else
+@@ -830,6 +831,7 @@
+ 			if (!hMapping)
+ 				goto w32_fail2;
+ 			cache_data = (unsigned char *)MapViewOfFile(hMapping, FILE_MAP_COPY, 0, 0, 0);
++			CloseHandle (hMapping);
+ 		w32_fail2:
+ 			;
+ #else
+@@ -913,6 +915,7 @@
+ 			if (!hMapping)
+ 				goto w32_fail6;
+ 			cache_data = (unsigned char *)MapViewOfFile(hMapping, FILE_MAP_COPY, 0, 0, 0);
++			CloseHandle (hMapping);
+ 		w32_fail6:
+ 			;
+ #else
+@@ -1248,6 +1251,7 @@
+ 			if (!hMapping)
+ 				goto w32_fail3;
+ 			cache_data = (unsigned char *)MapViewOfFile(hMapping, FILE_MAP_COPY, 0, 0, 0);
++			CloseHandle (hMapping);
+ 		w32_fail3:
+ 			;
+ #else
+@@ -1267,6 +1271,7 @@
+ 				if (!hMapping)
+ 					goto w32_fail4;
+ 				mark_data = (unsigned char *)MapViewOfFile(hMapping, FILE_MAP_COPY, 0, 0, 0);
++				CloseHandle (hMapping);
+ 			w32_fail4:
+ 				;
+ #else
+@@ -1293,6 +1298,7 @@
+ 						if (!hMapping)
+ 							goto w32_fail5;
+ 						tags_data = (unsigned char *)MapViewOfFile(hMapping, FILE_MAP_COPY, 0, 0, 0);
++						CloseHandle (hMapping);
+ 					w32_fail5:
+ 						;
+ #else


Property changes on: trunk/patches/claws-mail-3.0.0-rc2/04-cvs116.patch
___________________________________________________________________
Name: svn:executable
   + *

Modified: trunk/src/gpg4win.mk.in
===================================================================
--- trunk/src/gpg4win.mk.in	2007-08-14 10:12:44 UTC (rev 472)
+++ trunk/src/gpg4win.mk.in	2007-08-14 12:41:59 UTC (rev 473)
@@ -156,6 +156,16 @@
 
 stamps/stamp-final-$(1): stamps/stamp-$(1)-05-stow
 	touch stamps/stamp-final-$(1)
+
+.PHONY : clean-$(1)
+clean-$(1):
+	($(call SETVARS,$(1));				\
+	 (cd $(ipdir) &&				\
+	  ($(STOW) -D "$$$${pkg_version}";		\
+	   rm -fR "$$$${pkg_version}"));		\
+	 rm -fR "$$$${pkgsdir}" "$$$${pkgbdir}")
+	rm -f stamps/stamp-final-$(1) stamps/stamp-$(1)-*
+
 endef
 
 
@@ -200,6 +210,16 @@
 
 stamps/stamp-final-$(1): stamps/stamp-$(1)-05-stow
 	touch stamps/stamp-final-$(1)
+
+.PHONY : clean-$(1)
+clean-$(1):
+	($(call SETVARS,$(1));				\
+	 (cd $(ipdir) &&				\
+	  ($(STOW) -D "$$$${pkg_version}";		\
+	   rm -fR "$$$${pkg_version}"));		\
+	 rm -fR "$$$${pkgsdir}"
+	rm -f stamps/stamp-final-$(1) stamps/stamp-$(1)-*
+
 endef
 
 
@@ -241,6 +261,15 @@
 
 stamps/stamp-final-$(1): stamps/stamp-$(1)-03-stow-dev
 	touch stamps/stamp-final-$(1)
+
+.PHONY : clean-$(1)
+clean-$(1):
+	($(call SETVARS,$(1));				\
+	 cd $(ipdir) &&					\
+	 ($(STOW) -D "$$$${pkg_version}";		\
+	   rm -fR "$$$${pkg_version}"))
+	rm -f stamps/stamp-final-$(1) stamps/stamp-$(1)-*
+
 endef
 
 



More information about the Gpg4win-commits mailing list